spring:
  application:
    name: wms_main
  # 数据库配置
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    # 公司网络
#    url: jdbc:mysql://112.4.208.194:3001/wms_kate_wuxi?useUnicode=true&characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
#    username: developer
#    password: developer
    # 本地
    url: jdbc:mysql://localhost:3306/wms_yachi_nantong?characterEncoding=utf8&serverTimezone=Asia/Shanghai&allowMultiQueries=true&rewriteBatchedStatements=true
    username: root
    password: liangzhou
    #    卡特服务器
#    url: jdbc:mysql://10.90.83.37:3306/wms_kate_wuxi?characterEncoding=utf8&serverTimezone=Asia/Shanghai&allowMultiQueries=true&rewriteBatchedStatements=true
#    username: developer
#    password: baokai

  profiles:
    active: online

  servlet:
    multipart:
      max-file-size: 100MB #设置允许单个文件上传的大小
      max-request-size: 1000MB #设置允许上传的总的文件的大小

# 服务配置
server:
  port: 12315
  servlet:
    context-path: /

mybatis-plus:
  mapper-locations: classpath*:mapper/*.xml # mapper.xml扫描包
  type-aliases-package: com.wms.entity.table # 实体类扫描包
  configuration:
    map-underscore-to-camel-case: true # 开启驼峰映射
    cache-enabled: false # 是否开启二级缓存
  global-config:
    db-config:
      id-type: assign_id
      update-strategy: not_null

logging:
  config: classpath:logback-spring.xml





